Bug 118588 - [WK2] Replace getRect() to pixelSnappedBoundingBox().
Summary: [WK2] Replace getRect() to pixelSnappedBoundingBox().
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eunmi Lee
URL:
Keywords:
Depends on:
Blocks: 118585
  Show dependency treegraph
 
Reported: 2013-07-12 01:29 PDT by Eunmi Lee
Modified: 2013-07-18 01:04 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.77 KB, patch)
2013-07-12 01:31 PDT, Eunmi Lee
no flags Details | Formatted Diff | Diff
Patch (1.75 KB, patch)
2013-07-15 23:35 PDT, Eunmi Lee
no flags Details | Formatted Diff | Diff
Patch (1.80 KB, patch)
2013-07-17 23:34 PDT, Eunmi Lee
no flags Details | Formatted Diff | Diff
Patch (1.81 KB, patch)
2013-07-18 00:12 PDT, Eunmi Lee
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eunmi Lee 2013-07-12 01:29:06 PDT
The Node's getRect() function was removed, so use pixelSnappedBoundingBox() instead.
The TOUCH_ADJUSTMENT is enabled in the Qt, so that codes is not used as a default build but it should be fixed.
Comment 1 Eunmi Lee 2013-07-12 01:31:28 PDT
Created attachment 206512 [details]
Patch
Comment 2 Chris Dumez 2013-07-15 23:29:15 PDT
Comment on attachment 206512 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=206512&action=review

> Source/WebKit2/ChangeLog:3
> +        Replace getRect() to pixelSnappedBoundingBox().

Missing [WK2] tag.
Comment 3 Eunmi Lee 2013-07-15 23:31:08 PDT
(In reply to comment #2)
> (From update of attachment 206512 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=206512&action=review
> 
> > Source/WebKit2/ChangeLog:3
> > +        Replace getRect() to pixelSnappedBoundingBox().
> 
> Missing [WK2] tag.

Thanks, I will add [WK2]. :)
Comment 4 Eunmi Lee 2013-07-15 23:35:30 PDT
Created attachment 206726 [details]
Patch

Add [WK2] tag.
Comment 5 Noam Rosenthal 2013-07-17 19:18:00 PDT
Comment on attachment 206726 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=206726&action=review

> Source/WebKit2/ChangeLog:9
> +        The Node's getRect() function was removed, so use
> +        pixelSnappedBoundingBox() instead.

Was it removed in a particular revision? Can you name the revision in the changelog?
Comment 6 Eunmi Lee 2013-07-17 23:29:35 PDT
Comment on attachment 206726 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=206726&action=review

>> Source/WebKit2/ChangeLog:9
>> +        pixelSnappedBoundingBox() instead.
> 
> Was it removed in a particular revision? Can you name the revision in the changelog?

Sure, I will update the changelog.
Comment 7 Eunmi Lee 2013-07-17 23:34:33 PDT
Created attachment 206954 [details]
Patch

Add revision which removes getRect() to the changelog.
Comment 8 Noam Rosenthal 2013-07-18 00:03:54 PDT
Comment on attachment 206954 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=206954&action=review

> Source/WebKit2/ChangeLog:8
> +        The Node's getRect() function was removed in the

Say Node::getRect() instead of The Node's getRect() function
Otherwise LGTM
Comment 9 Gyuyoung Kim 2013-07-18 00:04:59 PDT
Change component with WebKit2.
Comment 10 Eunmi Lee 2013-07-18 00:12:37 PDT
Created attachment 206955 [details]
Patch
Comment 11 WebKit Commit Bot 2013-07-18 01:03:59 PDT
Comment on attachment 206955 [details]
Patch

Clearing flags on attachment: 206955

Committed r152837: <http://trac.webkit.org/changeset/152837>
Comment 12 WebKit Commit Bot 2013-07-18 01:04:03 PDT
All reviewed patches have been landed.  Closing bug.